summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author David O'Shaughnessy2017-09-07 16:58:17 +0200
committer Willy Sudiarto Raharjo2017-09-09 01:56:15 +0200
commitb17360db0263ba26f303a6dd0ced808ac26aef54 (patch)
treeb7796fd7561c07ae88b8a4bad8958ac9db9945a8 /office
parente7032f58dacbb297b5e424035fd19241b3d26130 (diff)
downloadslackbuilds-b17360db0263ba26f303a6dd0ced808ac26aef54.tar.gz
office/aspell6-es: Added (Spanish language files for aspell).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/aspell6-es/README14
-rw-r--r--office/aspell6-es/aspell6-es.SlackBuild88
-rw-r--r--office/aspell6-es/aspell6-es.info10
-rw-r--r--office/aspell6-es/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/office/aspell6-es/README b/office/aspell6-es/README
new file mode 100644
index 0000000000..5ab9815f7c
--- /dev/null
+++ b/office/aspell6-es/README
@@ -0,0 +1,14 @@
+aspell6-es (Spanish language files for aspell)
+
+Spanish language files for aspell version >=0.60.6.
+
+The COES Spanish Language Tools are a research field of the
+Departamento de Arquitectura y Tecnología de Sistemas Informáticos
+(DATSI) of the Universidad Politécnica de Madrid (UPM) and the
+Departamento de Informática of the Universidad CarlosIII de Madrid.
+
+The main task of this research is to to develop an extensive set of
+Spanish grammatical rules and to apply them to test correctness on
+documents written in Spanish. To enhance distribution, COES is
+integrated with the ispell tool. COES is being distributed for free
+since the end of 1994.
diff --git a/office/aspell6-es/aspell6-es.SlackBuild b/office/aspell6-es/aspell6-es.SlackBuild
new file mode 100644
index 0000000000..def66e1d85
--- /dev/null
+++ b/office/aspell6-es/aspell6-es.SlackBuild
@@ -0,0 +1,88 @@
+#!/usr/bin/env bash
+
+# Slackware build script for aspell6-es
+
+# Copyright 2017 David O'Shaughnessy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=aspell6-es
+VERSION=${VERSION:-1.11_2}
+SRCVER=$(echo $VERSION | tr _ -)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.bz2
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS"
+
+./configure
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README COPYING Copyright $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/aspell6-es/aspell6-es.info b/office/aspell6-es/aspell6-es.info
new file mode 100644
index 0000000000..eb55decf53
--- /dev/null
+++ b/office/aspell6-es/aspell6-es.info
@@ -0,0 +1,10 @@
+PRGNAM="aspell6-es"
+VERSION="1.11.2"
+HOMEPAGE="http://www.datsi.fi.upm.es/~coes/coes.html"
+DOWNLOAD="http://www.datsi.fi.upm.es/~coes/aspell6-es-1.11-2.tar.bz2"
+MD5SUM="8406336a89c64e47e96f4153d0af70c4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David O'Shaughnessy"
+EMAIL="dev@osh.id.au"
diff --git a/office/aspell6-es/slack-desc b/office/aspell6-es/slack-desc
new file mode 100644
index 0000000000..e4f5788792
--- /dev/null
+++ b/office/aspell6-es/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aspell6-es: aspell6-es (Spanish language files for aspell)
+aspell6-es:
+aspell6-es: Spanish language files for aspell version >=0.60.6.
+aspell6-es:
+aspell6-es: The COES Spanish Language Tools are a research field of the
+aspell6-es: Departamento de Arquitectura y Tecnología de Sistemas Informáticos
+aspell6-es: (DATSI) of the Universidad Politécnica de Madrid (UPM) and the
+aspell6-es: Departamento de Informática of the Universidad CarlosIII de Madrid.
+aspell6-es:
+aspell6-es: (http://www.datsi.fi.upm.es/~coes/coes.html)
+aspell6-es: